Linux Archive

Linux Archive (http://www.linux-archive.org/)
-   Debian Development (http://www.linux-archive.org/debian-development/)
-   -   Bug#690293: Policy 5.6.24: Checksums-{SHA1,SHA256} are required by the archive software (http://www.linux-archive.org/debian-development/711701-bug-690293-policy-5-6-24-checksums-sha1-sha256-required-archive-software.html)

Ansgar Burchardt 10-12-2012 07:31 AM

Bug#690293: Policy 5.6.24: Checksums-{SHA1,SHA256} are required by the archive software
 
Package: debian-policy
Severity: minor

Charles Plessy <plessy@debian.org> writes:
> http://www.debian.org/doc/debian-policy/ch-controlfields.html#s-f-Checksums
>
> In the .dsc file, these fields should list all files that make up the source
> package. In the .changes file, these fields should list all files being
> uploaded. The list of files in these fields must match the list of files in the
> Files field.

The Checksums-{SHA1,SHA256} fields were optional when they were
documented in Policy[1], but by now dak requires Checksums-{SHA1,SHA256}
to be present and listing all files in both .dsc and .changes files.

[1] <http://bugs.debian.org/478295#73>

I suggest replacing both 'should's with 'must' in the paragraph quoted
above.

Ansgar


--
To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 87txu0uoxf.fsf_-_@deep-thought.43-1.org">http://lists.debian.org/87txu0uoxf.fsf_-_@deep-thought.43-1.org


All times are GMT. The time now is 11:14 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.